- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Slots | Signals | Public Member Functions | Protected Member Functions | Properties

# QWorkspace Class Reference

Search for all occurrences

## Detailed Description

Definition at line 60 of file qworkspace.h.

`#include <qworkspace.h>`

Inheritance diagram for QWorkspace:
[legend]

List of all members.

## Public Types
enum | WindowOrder { CreationOrder, StackingOrder }
## Public Slots
void | setActiveWindow (QWidget *w)
void | cascade ()
void | tile ()
void | arrangeIcons ()
void | closeActiveWindow ()
void | closeAllWindows ()
void | activateNextWindow ()
void | activatePreviousWindow ()
## Signals
void | windowActivated (QWidget *w)
## Public Member Functions
| QWorkspace (QWidget *parent=0)
| ~QWorkspace ()
QWidget * | activeWindow () const
QWidgetList | windowList (WindowOrder order=CreationOrder) const
QWidget * | addWindow (QWidget *w, Qt::WindowFlags flags=0)
QSize | sizeHint () const
bool | scrollBarsEnabled () const
void | setScrollBarsEnabled (bool enable)
void | setBackground (const QBrush &background)
QBrush | background () const
## Protected Member Functions
bool | event (QEvent *e)
void | paintEvent (QPaintEvent *e)
void | changeEvent (QEvent *)
void | childEvent (QChildEvent *)
void | resizeEvent (QResizeEvent *)
bool | eventFilter (QObject *, QEvent *)
void | showEvent (QShowEvent *e)
void | hideEvent (QHideEvent *e)
void | wheelEvent (QWheelEvent *e)
## Properties
bool | scrollBarsEnabled
QBrush | background

## Member Enumeration Documentation

enum WindowOrder

Search for all occurrences

Enumerator:

  CreationOrder | Search for all occurrences
  StackingOrder | Search for all occurrences

Definition at line 70 of file qworkspace.h.

    { CreationOrder, StackingOrder };

## Constructor & Destructor Documentation

QWorkspace | ( | QWidget * | parent = `0` | ) | `[explicit]`

~QWorkspace | ( |  | ) |

## Member Function Documentation

QWidget* activeWindow | ( |  | ) | const

Search for all occurrences

QWidgetList windowList | ( | WindowOrder | order = `CreationOrder` | ) | const

Search for all occurrences

QWidget* addWindow | ( | QWidget * | w,
|  | Qt::WindowFlags | flags = `0`
| ) |  |

Search for all occurrences

QSize sizeHint | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QWidget.

bool scrollBarsEnabled | ( |  | ) | const

Search for all occurrences

void setScrollBarsEnabled | ( | bool | enable | ) |

Search for all occurrences

void setBackground | ( | const QBrush & | background | ) |

Search for all occurrences

QBrush background | ( |  | ) | const

Search for all occurrences

void windowActivated | ( | QWidget * | w | ) | `[signal]`

Search for all occurrences

void setActiveWindow | ( | QWidget * | w | ) | `[slot]`

Search for all occurrences

void cascade | ( |  | ) | `[slot]`

Search for all occurrences

void tile | ( |  | ) | `[slot]`

Search for all occurrences

void arrangeIcons | ( |  | ) | `[slot]`

Search for all occurrences

void closeActiveWindow | ( |  | ) | `[slot]`

Search for all occurrences

void closeAllWindows | ( |  | ) | `[slot]`

Search for all occurrences

void activateNextWindow | ( |  | ) | `[slot]`

Search for all occurrences

void activatePreviousWindow | ( |  | ) | `[slot]`

Search for all occurrences

bool event | ( | QEvent * | e | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void paintEvent | ( | QPaintEvent * | e | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void changeEvent | ( | QEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void childEvent | ( | QChildEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QObject.

void resizeEvent | ( | QResizeEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

bool eventFilter | ( | QObject * | ,
|  | QEvent * |
| ) |  | `[protected, virtual]`

Search for all occurrences

Reimplemented from QObject.

void showEvent | ( | QShowEvent * | e | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void hideEvent | ( | QHideEvent * | e | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void wheelEvent | ( | QWheelEvent * | e | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

## Property Documentation

bool scrollBarsEnabled `[read, write]`

Search for all occurrences

Definition at line 63 of file qworkspace.h.

QBrush background `[read, write]`

Search for all occurrences

Definition at line 64 of file qworkspace.h.

The documentation for this class was generated from the following file:

- QtGui/qworkspace.h

QWorkspace QWorkspace QWorkspace QWorkspace QWorkspace QWorkspace QWorkspace QWorkspace QWorkspace QWorkspace
QWorkspace QWorkspace QWorkspace QWorkspace QWorkspace QWorkspace QWorkspace QWorkspace QWorkspace QWorkspace